package com.om.entity.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * <p>
 * 应用与客户关联表
 * </p>
 *
 * @author henry-ong
 * @since 2024-03-12
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
@TableName("apps_clients")
@ApiModel(value = "AppsClients对象", description = "应用与客户关联表")
public class AppsClients implements Serializable {

    private static final long serialVersionUID = 1L;

      @ApiModelProperty("app_client_id")
        @TableId(value = "id", type = IdType.AUTO)
      private Integer id;

      @ApiModelProperty("App ID")
      private Integer appId;

      @ApiModelProperty("客户端编码")
      private String clientNum;
}
